Bug 27444 - Fisher Install crash with UpdateDisk
Summary: Fisher Install crash with UpdateDisk
Status: CLOSED DUPLICATE of bug 33488
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-13 21:14 UTC by Red Hat Bugzilla
Modified: 2008-03-13 19:18 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-03 22:11:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Red Hat Bugzilla 2001-02-13 21:14:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)


Installation of Fisher to an SMP Pentium III with a DriverUpdateDisk 
crashes just prior to installation complete.  The failure occurs prior to 
the update of the boot sector but after disk formatting and installation 
of all packages. 

Reproducible: Always
Steps to Reproduce:
1. Install using linux dd (or text dd)
2. Insert driver update disk
3. Proceed with installation.  	

Actual Results:  Driver update disk inserted and driver loaded 
(sym53c8xx). Disk(s) formatted and packages installed. Crash occurred 
after all packages loaded but prior to boot sector update.  (Remark: This 
was a re-installation. On a reboot, LILO came up and the old boot options 
were available.  Of course, were unable to boot because the old 
installation had been destroyed.)

Expected Results:  Installation would complete. Driver disk was customized 
for Fisher - used the same tool to generate disk as that for Red Hat 7.0 
(with the kernel specific changes that were necessary).


Please see end.  The directory kernel/driversscsi  is unusual. Would 
expect kernel/drivers/scsi.  Did a character get dropped?

Text based install dump:  anaconda.txt
Traceback (innermost last):
  File "/usr/bin/anaconda", line 503, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1179, in run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 608, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1887, in 
doInstall
    self.copyExtraModules()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1575, in 
copyExtraModules
    os.rename(fromFile, to)
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:
n: 2.4.0-0.99.11smp
name: sym53c8xx
self: <todo.ToDo instance at 825ec28>
fromFile: /mnt/sysimage/lib/modules/2.4.0-0.99.11smp/sym53c8xx.o
pattern:  2.4.0-0.99.11smp/sym53c8xx.o 2.4.0-0.99.11/sym53c8xx.o
kernelVersions: ['2.4.0-0.99.11smp', '2.4.0-0.99.11']
path: /tmp/modules/sym53c8xx
names:  sym53c8xx.o sym53c8xx.o
command: cd /mnt/sysimage/lib/modules; gunzip 
< /tmp/modules/sym53c8xx/modules.cgz | /mnt/sysimage/bin/cpio  --quiet -
iumd  2.4.0-0.99.11smp/sym53c8xx.o 2.4.0-0.99.11/sym53c8xx.o
subdir: scsi
to: /mnt/sysimage/lib/modules/2.4.0-
0.99.11smp/kernel/driversscsi/sym53c8xx.o

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(itext
ProgressWindow
(dp5
S'scale'
p6
(isnack
Scale
(dp7
S'w'

<failed>

Comment 1 Red Hat Bugzilla 2001-02-27 23:10:49 UTC
Please try with the recent Wolverine beta release.

Comment 2 Red Hat Bugzilla 2001-04-02 20:01:39 UTC
Closing due to inactivity - please reopen if you have anything to add to the bug
report.

Comment 3 Red Hat Bugzilla 2001-04-03 22:12:14 UTC

*** This bug has been marked as a duplicate of 33488 ***


Note You need to log in before you can comment on or make changes to this bug.